<?php

namespace Drupal\devutils;

/**
 * Update configs from yml files.
 */
interface UpdateConfigsInterface {

  /**
   * Update the configs at a module.
   *
   * @param string $name
   *   Machine name of module where are the yml files.
   * @param array $configs
   *   The names of files, without suffix .yml.
   */
  public function module(string $name, array $configs);

  /**
   * Update the configs from many modules.
   *
   * @param array $configs
   *   The names of files by module.
   */
  public function modules(array $configs);

  /**
   * Update the configs at a theme.
   *
   * @param string $theme
   *   Machine name of theme where are the yml files.
   * @param array $configs
   *   The names of files, without suffix .yml.
   */
  public function theme(string $theme, array $configs);

}
